
// ---------------------------------------------------------------
// -------------------- data parsing -----------------------------
// ---------------------------------------------------------------

Table tabla; 
int [][] dataMatrix; // All data will be hosted here
String [] headers;
//

// Esta función va a encargarse de todos los datos a cargar
void dataParsing() {
  if (feedback) println(">> LOADING DATA: ON!");

  // We load the table, alright!
  tabla = new Table();
  tabla = loadTable("data/csv/"+tableName+".csv");

  // We load the headers
  String [] headersT = loadStrings("data/csv/"+tableName+".csv");
  println(">> Temporary headers: "+headersT[0]); // Everything is this position is comma separated

  // We set total rows and columnes (ignoring the first line)
  rows = tabla.getRowCount();
  cols = tabla.getColumnCount();

  // We set the total elements
  elementosTotales = (rows-1)*cols; // -1 por los headers, abusado.
  if (feedback) println(">> Elementos totales: "+elementosTotales);

  // We verify the data
  if (feedback) println(">> Tenemos "+rows+" rows.");
  if (feedback) println(">> Tenemos "+cols+" columns.");

  // We'll arrange everything into the dataMatrix
  //if(feedback) println(">> TABLE CONTENTS:");

  // We create both arrays (headers and data)
  dataMatrix = new int[rows][cols];
  //headers = new String[ cols ];
  headers = split( headersT[0], "," );

  // Some feedback never hurts does it?
  println(">> Corrected first header: "+headers[0]); // 
  println(">> Corrected last header: "+headers[cols-1]); //

  // We start sorting everythings
  for (int i = 0; i < rows; i++) {
    for (int j = 0; j < cols; j++) {

      int dato = tabla.getInt( i, j );
      // We place the values
      dataMatrix[i][j] = dato;

      // We verify highest and lowest number
      if ( numeroMenor >  dato && i > 0) numeroMenor = dato;
      if ( numeroMayor <  dato && i > 0) numeroMayor = dato;
      // Temporary output
      if (feedback) println(">> R:"+i+" |C:"+j+" = "+ dato);
    }
  }

  if (feedback) println(">> Highest found value: "+numeroMayor);
  if (feedback) println(">> Lowest found value: "+numeroMenor);
  //Note to self: all of the data will start in 0 position, no, can't remember to be honest.
}

