// &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
// &&&&&&&&  w h e n   t h e   c h i p s   a r e   d o w n &&&&&&&&&&&&&&&&&&&&&
// &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
// &&&&&&&&&&&&&&&&&&&&&&&&&& code: Juan Manuel Escalante | www.realitat.com &&&

/*

 Version history:
 
 01 - Basic code arrangemente and csv parsing operations
 02 - DATAVIZ CLASS - creation and grid arrangement
 03 - DATAVIZ CLASS - data assignment and color per cell, also pobladores
 04 - Titles and additional data
 05 - Intento de luna
 */

//  - SWITCHES
Boolean feedback = true;
Boolean auxiliary = false;
Boolean centroPrueba = false;
Boolean pobladores = true;
Boolean smoothEffect = false;
float escalaMax = 1.5; // 1.1 funciona
String vizStyle = "circulos"; // Which type of dataviz are we seeing?
float mapPobladores = 30; // A number by which the original data will be divided. 15 is the default one that owrked or 13
float toleranciaPoblador = 0.4; //Original 1.5 cu'anto se puede salir de su celda

String tableName = "bostonOsama"; 
String stripeName = "gama7"; // png files for color data gama7.png is the one that worked
float margenIzq = 325; // works: 325
float margenDer = 325; // works: 325
float margenUp = 190; // works: 190
float margenDown = 100; // works: 100
float velAnguloMin = 0.004;
float velAnguloMax = 1.36;

// Global vars (but relevant to keep track of
int rows, cols; // Number of rows and columns, duh
float colAncho, rowAlto;
int elementosTotales;
int numeroMayor = 0;  // Highest value found in the database (useful for color calculation)
int numeroMenor = 1500000000; // Lowest value found in the database (useful for color calculation)
int contador;
float origenX, origenY;
// -----------------------------------------------------------------------------
// -----------------------------------------------------------------------------
void setup() {

  size(1280+4, 720+4); //720p resolution
  background(50); //Dark gray
  background(247); //Light gray

  // Load color and fonts data
  loadColors();
  loadFonts();

  // We load the data
  dataParsing();

  // We initialize the data
  hacerGrid();
  
  if(smoothEffect) noSmooth();
}


// -----------------------------------------------------------------------------
// -----------------------------------------------------------------------------

void draw() {

  // A. Background actions
  background(247);
  
  // B. We place the intel
  placeIntel();

  // C. We show the DataViz
  for (int i = 0; i < dataViz.length; i++) {
    dataViz[i].mostrar();
  }
  
  // D. We draw auxiliary elements
  if(auxiliary) showAuxiliary();
  
  // E. The classic all-purpose counter
  contador++;
}

