
// --------------------------------------------------------
// -------------------- color -----------------------------
// --------------------------------------------------------

/* Color is loaded from an external file to avoid unnecesary color calculations */

PImage stripe;
// -----------------------------------------------------
void loadColors(){
  // We load the image
  stripe = loadImage("data/color/"+stripeName+".png");
  
}

// ----------------------------------------------------
// We return the color based on a number we receive from 1 to 0
color getColor(float pos){
  
  // Safety check, just in case #realityHitsYourHardBro
  if(pos > 1) pos = 1;
  if(pos < 0) pos = 0;
  
  // We map the value
  float deseo = map( pos, 0, 1, 1, stripe.width-2 );   
  return stripe.get( floor(deseo), floor(stripe.height/2) );

}
