

// ------------------------------------------------------------
// -------------------- grales --------------------------------
// ----------------------------------------------------------------
// General functions that cannot be arranged in any other tab -----
// ----------------------------------------------------------------

// Let's show the grid
void showAuxiliary() {

  // MARGINS
  noFill();
  stroke(255, 0, 0);
  strokeWeight(0.2);

  rectMode(CORNERS);
  rect(margenIzq, margenUp, width-margenDer, height-margenDown);
} 

// -------------------------------------------------------------------
// Loading the fonts
PFont numerosTotales;
PFont titles;
void loadFonts() {

  titles = loadFont( "data/fonts/FuturaKoyu-48.vlw" ); 
  numerosTotales = loadFont( "data/fonts/FuturaDemiC-12.vlw" );
}


// ------------------------------------------------------------------ all typograhpy work
// Placing all of the titles, subtitles, explanations and so forth
void placeIntel() {

  // We start the smooth process
  if (smoothEffect) smooth();

  // MAIN TITLE!!!!!!!!!!!!! ---------------------------------------------------------------
  fill(0, 0, 0, 135);
  // fill(210,214,199);
  fill(getColor(0.5));
  textFont(titles, 18);
  textAlign(LEFT);

  float xTit = 733 -13 -80;
  float yTit = 535 +35;
  text("when the chips are down", xTit, yTit);

  textFont(numerosTotales, 8);
  fill(0, 0, 0, 135);
  text("JUAN MANUEL ESCALANTE | WIP | MMXV", xTit, yTit+15);

  // Leyenda inferior --------------------------------------------------------------
  fill(0, 0, 0, 65);
  textFont(numerosTotales, 9);
  textAlign(LEFT);
  String leyenda = " Based on Hannah Arendt’s famous testimony, this visualization explores the following question: at times of hardship, where do the US citizens seek comfort/answers/explanations? | ( Data taken from Seattle Public library checked out items. )";
  text( leyenda, 733 -13 -80, 535 +85, 510, 100);


  // Column works -------------------------------------------------------------------------
  for (int i = 0; i < cols; i++) {

    stroke(0);
    pushMatrix();
    translate(origenX, origenY);
    rotate(radians(angulosLuna[i]));

    //Linea
    color c = getColor(0.2);
    stroke(c);
    strokeWeight(0.7);
    line(300, 0, 300+33, 0); //23, Michael Jordan's number

    //Texto
    fill(0, 0, 0, 130);
    textFont(numerosTotales, 9);
    textAlign(LEFT);
    text( headers[i].toUpperCase(), 300+33+7, 0 );

    popMatrix();
  }
  // ----------------------------------------------------------------------- ROWS works

  String [] nombreEvento = { 
    "2013 Boston marathon attack", 
    "2013 Same year, calm days", 
    "2011 Osama Bin Laden is captured", 
    "2011 Same year, calm days"
  };

  // Ahora, vamos a colocar las horizontales en angulo
  for (int i = 0; i < rows; i++) {

    color c = getColor(0.2);
    stroke(c);
    strokeWeight(0.7);
    noFill();

    arc(origenX, origenY, orbitasLuna[i]*2, orbitasLuna[i]*2, radians(-90), radians(map(i, 0, rows, -85, -75)));

    ////Lineas extensoras
    if (orbitasLuna[i] != 0)line(origenX -1, origenY-orbitasLuna[i], origenX -50, origenY-orbitasLuna[i]);

    // Semi grid baja
    stroke(red(c), green(c), blue(c), 110);
    arc(origenX, origenY, orbitasLuna[i]*2, orbitasLuna[i]*2, radians(-90), radians(-5));


    //// Colocamos el texto
    fill(getColor(0.2));
    fill(0, 0, 0, 130);
    textFont(numerosTotales, 9);
    textAlign(RIGHT);
    //  text( nombreEvento[i].toUpperCase(), origenX -50 -5, origenY-orbitasLuna[i] );
    if (orbitasLuna[i] != 0)  text( nombreEvento[i].toUpperCase(), origenX -50 -5, origenY-orbitasLuna[i]+3 );
  }

  // We stop the smooth process ----------------------------------------------------------
  if (smoothEffect) noSmooth();
  // c'est tout mon amie!
}

